<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNativeAddresTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('native_address', function (Blueprint $table) {
            $table->increments('id');
            $table->bigInteger('user_id');
            $table->string('state');
            $table->string('district');
            $table->string('pincode')->nullable();
            $table->string('kerala_address')->nullable();
            $table->string('phone')->nullable();
            $table->tinyInteger('status')->default('0');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('native_address');
    }
}
